/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPORISCO                                                */
/* Tabela : TIPORISCO                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 16/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TIPORISCO
BEFORE INSERT OR UPDATE OR DELETE
ON TIPORISCO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPRI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPRISCO,0)  <> NVL(:NEW.CDTIPRISCO,0)) OR
         (NVL(:OLD.NMTIPORISCO,0) <> NVL(:NEW.NMTIPORISCO,0)) THEN
         :NEW.DTULTATUTPRI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPORISCO', '', 'CDTIPRISCO='||:OLD.CDTIPRISCO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPORISCO MODIFY DTULTATUTPRI DEFAULT SYSDATE
/

